<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.layout.content.page.editor.web.internal.portlet.action.GetAvailableImageConfigurationsMVCResourceCommand">
  <property name="javax.portlet.name" type="String" value="com_liferay_layout_content_page_editor_web_internal_portlet_ContentPageEditorPortlet"/>
  <property name="mvc.command.name" type="String" value="/layout_content_page_editor/get_available_image_configurations"/>
  <service>
    <provide interface="com.liferay.portal.kernel.portlet.bridges.mvc.MVCResourceCommand"/>
  </service>
  <reference name="_amImageConfigurationHelper" interface="com.liferay.adaptive.media.image.configuration.AMImageConfigurationHelper" field="_amImageConfigurationHelper"/>
  <reference name="_amImageEntryLocalService" interface="com.liferay.adaptive.media.image.service.AMImageEntryLocalService" field="_amImageEntryLocalService"/>
  <reference name="_amImageURLFactory" interface="com.liferay.adaptive.media.image.url.AMImageURLFactory" field="_amImageURLFactory"/>
  <reference name="_ddmFieldLocalService" interface="com.liferay.dynamic.data.mapping.service.DDMFieldLocalService" field="_ddmFieldLocalService"/>
  <reference name="_ddmStorageEngineManager" interface="com.liferay.dynamic.data.mapping.storage.DDMStorageEngineManager" field="_ddmStorageEngineManager"/>
  <reference name="_ddmStructureLocalService" interface="com.liferay.dynamic.data.mapping.service.DDMStructureLocalService" field="_ddmStructureLocalService"/>
  <reference name="_dlAppService" interface="com.liferay.document.library.kernel.service.DLAppService" field="_dlAppService"/>
  <reference name="_dlFileEntryMetadataLocalService" interface="com.liferay.document.library.kernel.service.DLFileEntryMetadataLocalService" field="_dlFileEntryMetadataLocalService"/>
  <reference name="_language" interface="com.liferay.portal.kernel.language.Language" field="_language"/>
  <reference name="_mediaQueryProvider" interface="com.liferay.adaptive.media.image.media.query.MediaQueryProvider" field="_mediaQueryProvider"/>
  <reference name="_portal" interface="com.liferay.portal.kernel.util.Portal" field="_portal"/>
  <implementation class="com.liferay.layout.content.page.editor.web.internal.portlet.action.GetAvailableImageConfigurationsMVCResourceCommand"/>
</scr:component>
